Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008381TestLinkDatabase MySQLpublic2018-09-24 08:152018-09-26 08:44
Reportersumiaorong@163.com 
Assigned To 
PriorityurgentSeverityblockReproducibilityalways
StatusnewResolutionopen 
PlatformlinuxOSubuntuOS Version16.01
Product Version1.9.17 (2018 Q1) 
Fixed in Version 
Summary0008381: failed to create dbuser on install with MySQL 8.0.12
Description[>>][5ba8973e979ed416866307][DEFAULT][/testlink/install/installNewDB.php][18/Sep/24 07:50:22]
        [18/Sep/24 07:50:22][ERROR][<nosession>][DATABASE]
                ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'IDENTIFIED BY '123123'' at line 1 - GRANT SELECT, UPDATE, DELETE, INSERT ON `testlink`.* TO 'admin'@'localhost' IDENTIFIED BY '123123'
THE MESSAGE : GRANT SELECT, UPDATE, DELETE, INSERT ON `testlink`.* TO 'admin'@'localhost' IDENTIFIED BY '123123'
Query failed: errorcode[1064]
        errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'IDENTIFIED BY '123123'' at line 1
[<<][5ba8973e979ed416866307][DEFAULT][/testlink/install/installNewDB.php][18/Sep/24 07:50:22][18/Sep/24 07:50:22][took 0.10969 secs]
Steps To Reproduce1.open http://localhost/testlink/install. [^]
2.choose database type 'mysql/mariadb'.
3.input database host 'localhost'.
4.input database name 'testlink'.
5.input database admin login 'root'.
6.input database password '123123'.
7.input testlink db login 'admin'.
8.input testlink db password '123123'.
9.click button 'process testlink setup!'.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browserchrome
PHP Version7.2.10
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon 20180924161107.png [^] (25,746 bytes) 2018-09-24 08:15

- Relationships

-  Notes
(0027875)
fman (administrator)
2018-09-24 10:24

if you do not have the grants it will be impossible
(0027893)
sumiaorong@163.com (reporter)
2018-09-26 08:39

Starting with MySQL 8 no longer can (implicitly) create a user using the GRANT command. Use CREATE USER instead, followed by the GRANT statement:

mysql> CREATE USER 'root'@'%' IDENTIFIED BY 'root';
mysql> GRANT ALL PRIVILEGES ON *.* TO 'root'@'%' WITH GRANT OPTION;
(0027894)
fman (administrator)
2018-09-26 08:44

OK, this means a new check need to be added in the installer.
Unfortunately I can not test on each MySQL/MariaDB/Postgres version available, that's why user help (as you have done) is a MUST

regards

- Issue History
Date Modified Username Field Change
2018-09-24 08:15 sumiaorong@163.com New Issue
2018-09-24 08:15 sumiaorong@163.com File Added: 20180924161107.png
2018-09-24 10:24 fman Note Added: 0027875
2018-09-25 20:35 fman Status new => feedback
2018-09-26 08:39 sumiaorong@163.com Note Added: 0027893
2018-09-26 08:39 sumiaorong@163.com Status feedback => new
2018-09-26 08:44 fman Note Added: 0027894



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker